%define builtin_release_name Discovery
%define builtin_release_variant AS
%define builtin_release_version 4
%define builtin_release_subversion 0
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}

%define product_family X/OS Linux
%if %{builtin_release_variant} == Desktop
%define product_family X/OS Linux
%endif

%define current_arch %{_arch}
%ifarch i386
%define current_arch x86
%endif
Summary: %{product_family} release file
Name: xos-release
Version: %{real_release_version}
Release: 2.4.XOS.1
Copyright: GPL
Group: System Environment/Base
Source: xos-release-%{builtin_release_version}-20050506.tar.gz
Obsoletes: rawhide-release redhat-release-as redhat-release-es redhat-release-ws redhat-release-de
Obsoletes: redhat-release
Provides: redhat-release
BuildRoot: %{_tmppath}/xos-release-root
%if %{builtin_release_variant} == Desktop
ExcludeArch: ppc64 ppc s390 s390x ia64
%else
%if %{builtin_release_variant} == AS
ExcludeArch: ppc64
%else
ExcludeArch: ppc64 ppc s390 s390x
%endif
%endif

%description
%{product_family} release files

%prep
%setup -q -n xos-release-%{builtin_release_version}

%if %{builtin_release_variant} != common
%%build 
python -c "import py_compile; py_compile.compile('eula.py')"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
echo "%{product_family} release %{builtin_release_version}.%{builtin_release_subversion} (%{real_release_name})" > $RPM_BUILD_ROOT/etc/xos-release
ln -s xos-release $RPM_BUILD_ROOT/etc/redhat-release
cp $RPM_BUILD_ROOT/etc/xos-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue

# X/OS Linux patch: add arch/lang-neutral symlinks for convenience 
ln -s README-%{current_arch}-en             %{current_arch}/README
ln -s README-%{current_arch}-en.html        %{current_arch}/README.html
ln -s RELEASE-NOTES-%{current_arch}-en.html %{current_arch}/RELEASE-NOTES.html
ln -s RELEASE-NOTES-%{current_arch}-en      %{current_arch}/RELEASE-NOTES

mkdir -p $RPM_BUILD_ROOT/usr/share/firstboot/modules
cp eula.py* $RPM_BUILD_ROOT/usr/share/firstboot/modules

mkdir -p $RPM_BUILD_ROOT/usr/share/eula
cp eula.[!py]* $RPM_BUILD_ROOT/usr/share/eula

mkdir -p $RPM_BUILD_ROOT/var/lib
cp %{current_arch}/supportinfo $RPM_BUILD_ROOT/var/lib/supportinfo

mkdir -p -m 755 $RPM_BUILD_ROOT/etc/sysconfig/rhn
install -m 644 sources $RPM_BUILD_ROOT/etc/sysconfig/rhn

mkdir -p -m 755 $RPM_BUILD_ROOT/etc/yum.repos.d
install -m 644 *.repo $RPM_BUILD_ROOT/etc/yum.repos.d/

mkdir -p -m 755 $RPM_BUILD_ROOT/etc/apt/sources.list.d
install -m 644 *.list $RPM_BUILD_ROOT/etc/apt/sources.list.d/
%endif

%clean
rm -rf $RPM_BUILD_ROOT

# If this is the first time a package containing /etc/issue
# is installed, we want the new files there. Otherwise, we
# want %config(noreplace) to take precedence.
%triggerpostun  -- redhat-release < 7.1.93-1
if [ -f /etc/issue.rpmnew ] ; then
   mv -f /etc/issue /etc/issue.rpmsave
   mv -f /etc/issue.rpmnew /etc/issue
fi
if [ -f /etc/issue.net.rpmnew ] ; then
   mv -f /etc/issue.net /etc/issue.net.rpmsave
   mv -f /etc/issue.net.rpmnew /etc/issue.net
fi

%files
%defattr(-,root,root)
%if "%{builtin_release_variant}" != common
%attr(0644,root,root) /etc/xos-release
/etc/redhat-release
%doc %{current_arch}/R*
%dir /etc/sysconfig/rhn
%config(noreplace) /etc/sysconfig/rhn/sources
%dir /etc/yum.repos.d
%config(noreplace) /etc/yum.repos.d/*
%dir /etc/apt
%dir /etc/apt/sources.list.d
%config(noreplace) /etc/apt/sources.list.d/*
%config %attr(0644,root,root) /etc/issue
%config %attr(0644,root,root) /etc/issue.net
/var/lib/supportinfo
/usr/share/firstboot/modules/eula.py*
/usr/share/eula/eula.*
%endif
%doc EULA GPL autorun-template
%doc RPM-GPG-KEY*

%changelog
* Thu Jul 28 2005 X/OS Linux Team <xoslinux@xos.nl> 4AS-2.4.XOS.1
- Build for X/OS Linux 4.
- X/OS Linux source rpm based on redhat-release-4AS-2.4.src.rpm
  (md5sum of original source rpm: f04ffbf3e7ff3380d68990ef39e35b58).
- Convert redhat-release (AS version) to xos-release for X/OS Linux
  and replace the included tarball.
- Add package repository configuration files for X/OS Linux
  (for up2date, yum, and apt).

